Uploaded image for project: 'SwitchYard'
  1. SwitchYard
  2. SWITCHYARD-3016

Need to bump org.jboss.ide.eclipse.freemarker for oxygen build

    Details

    • Type: Task
    • Status: Resolved (View Workflow)
    • Priority: Blocker
    • Resolution: Rejected
    • Affects Version/s: tools-2.4.0
    • Fix Version/s: tools-2.4.0
    • Component/s: build
    • Labels:
      None

      Description

      Cannot complete the install because one or more required items could not be found.
      Software being installed: SwitchYard BPEL Support 2.4.0.CR1-v20170717-1303-B16 (org.switchyard.tools.bpel.feature.feature.group 2.4.0.CR1-v20170717-1303-B16)
      Missing requirement: SwitchYard 2.4.0.CR1-v20170717-1303-B16 (org.switchyard.tools.feature.feature.group 2.4.0.CR1-v20170717-1303-B16) requires 'org.jboss.ide.eclipse.freemarker.feature.feature.group 1.2.0' but it could not be found
      Cannot satisfy dependency:
      From: SwitchYard BPEL Support 2.4.0.CR1-v20170717-1303-B16 (org.switchyard.tools.bpel.feature.feature.group 2.4.0.CR1-v20170717-1303-B16)
      To: org.switchyard.tools.feature.feature.group 0.0.0

      I think the fix is tstraightforward
      1:36 PM
      eclipse/features/org.switchyard.tools.feature/feature.xml: <import feature="org.jboss.ide.eclipse.freemarker.feature" version="1.2.0" match="greaterOrEqual"/>
      eclipse/plugins/org.switchyard.tools.ui.bpmn2/META-INF/MANIFEST.MF: org.jboss.ide.eclipse.freemarker;bundle-version="1.2.0",
      eclipse/plugins/org.switchyard.tools.ui.editor/META-INF/MANIFEST.MF: org.jboss.ide.eclipse.freemarker;bundle-version="1.2.0",

      This is the correct bundle:
      <unit id="org.jboss.ide.eclipse.freemarker.feature.feature.group" version="1.5.300.v20161214-1103"/>

      I bet this would do the trick: org.jboss.ide.eclipse.freemarker;bundle-version="[1.2.0,1.6.0)"

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                bfitzpat Brian Fitzpatrick
                Reporter:
                pleacu Paul Leacu
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: